CVE-2020-7066

In PHP versions 7.2.x below 7.2.29, 7.3.x below 7.3.16 and 7.4.x below 7.4.4, while using get_headers() with user-supplied URL, if the URL contains zero (\0) character, the URL will be silently truncated at it. This may cause some software to make incorrect assumptions about the target of the get_headers() and possibly send some information to a wrong server.
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:php:php:*:*:*:*:*:*:*:*
cpe:2.3:a:php:php:*:*:*:*:*:*:*:*
cpe:2.3:a:php:php:*:*:*:*:*:*:*:*

Configuration 2 (hide)

OR cpe:2.3:a:tenable:tenable.sc:*:*:*:*:*:*:*:*
cpe:2.3:a:tenable:tenable.sc:5.19.0:*:*:*:*:*:*:*

Configuration 3 (hide)

cpe:2.3:o:opensuse:leap:15.1:*:*:*:*:*:*:*

Configuration 4 (hide)

OR cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

History

08 May 2022, 23:51

Type Values Removed Values Added
CPE cpe:2.3:a:tenable:tenable.sc:*:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
cpe:2.3:a:tenable:tenable.sc:5.19.0:*:*:*:*:*:*:*
cpe:2.3:o:opensuse:leap:15.1:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
References
  • (CONFIRM) https://www.tenable.com/security/tns-2021-14 - Patch, Third Party Advisory
References (DEBIAN) https://www.debian.org/security/2020/dsa-4717 - (DEBIAN) https://www.debian.org/security/2020/dsa-4717 - Third Party Advisory
References (DEBIAN) https://www.debian.org/security/2020/dsa-4719 - (DEBIAN) https://www.debian.org/security/2020/dsa-4719 - Third Party Advisory
References (SUSE) http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00025.html - (SUSE) http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00025.html - Third Party Advisory
References (UBUNTU) https://usn.ubuntu.com/4330-2/ - (UBUNTU) https://usn.ubuntu.com/4330-2/ - Third Party Advisory
First Time Debian debian Linux
Tenable tenable.sc
Debian
Opensuse leap
Tenable
Opensuse

Information

Published : 2020-04-01 04:15

Updated : 2022-05-08 23:51


NVD link : CVE-2020-7066

Mitre link : CVE-2020-7066


JSON object : View

Products Affected

debian

  • debian_linux

opensuse

  • leap

tenable

  • tenable.sc

php

  • php